Skip to main content
POST
/
email
/
inboxes
/
{inbox_id}
/
drafts
Create a draft
curl --request POST \
  --url https://api.crevio.co/v1/email/inboxes/{inbox_id}/drafts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "<string>",
  "cc": "<string>",
  "bcc": "<string>",
  "subject": "<string>",
  "text": "<string>",
  "html": "<string>",
  "reply_to": "<string>",
  "in_reply_to": "<string>",
  "labels": [
    "<string>"
  ],
  "send_at": "2023-11-07T05:31:56Z",
  "attachments": [
    {
      "content": "<string>",
      "filename": "<string>",
      "content_type": "<string>"
    }
  ]
}
'
{
  "object": "<string>",
  "id": "<string>",
  "inbox_id": "<string>",
  "thread_id": "<string>",
  "to": "<array>",
  "cc": "<array>",
  "bcc": "<array>",
  "reply_to": "<string>",
  "in_reply_to": "<string>",
  "subject": "<string>",
  "text": "<string>",
  "html": "<string>",
  "labels": [
    "<string>"
  ],
  "attachments": "<array>",
  "send_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

inbox_id
string
required

Inbox id (inbox_…)

Body

application/json
to

Email address, or array/comma-separated list of addresses

cc

Email address, or array/comma-separated list of addresses

bcc

Email address, or array/comma-separated list of addresses

subject
string
text
string
html
string
reply_to
string
in_reply_to
string
labels
string[]
send_at
string<date-time>

Schedule send time (ISO 8601)

attachments
object[]

Response

Created

object
string
required
id
string
required
inbox_id
string
required
thread_id
string
required
to
array
required
cc
array
required
bcc
array
required
reply_to
string | null
required
in_reply_to
string | null
required
subject
string | null
required
text
string
required
html
string
required
labels
string[]
required
attachments
array
required
send_at
string<date-time> | null
required
send_status
enum<string>
required
Available options:
draft,
scheduled,
sending,
failed
created_at
string<date-time>
required